Product comparison · 2 wireless routers

D-Link DIR-645 wireless router Gigabit Ethernet Black vs D-Link DVA-G3671B/TO wireless router Fast Ethernet Black, White

Add a product
  • 15specifications compared
  • 13differ
  • 2identical
  • 34known for one product only

Key differences

  • Ethernet LAN interface type
    • DIR-645 wireless router Gigabit Ethernet Black:Gigabit Ethernet
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:Fast Ethernet
  • Ethernet LAN data rates
    • DIR-645 wireless router Gigabit Ethernet Black:10,100,1000 Mbit/s
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:10,100 Mbit/s
  • Ethernet LAN (RJ-45) ports
    • DIR-645 wireless router Gigabit Ethernet Black:5
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:4
  • MAC address filtering
    • DIR-645 wireless router Gigabit Ethernet Black:No
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:Yes
  • DHCP client
    • DIR-645 wireless router Gigabit Ethernet Black:No
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:Yes
  • DHCP server
    • DIR-645 wireless router Gigabit Ethernet Black:No
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:Yes
  • Product colour
    • DIR-645 wireless router Gigabit Ethernet Black:Black
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:Black, White
  • Dimensions (WxDxH)
    • DIR-645 wireless router Gigabit Ethernet Black:117 x 190 x 97 mm
    • DVA-G3671B/TO wireless router Fast Ethernet Black, White:217.5 x 146.5 x 32 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of DIR-645, DVA-G3671B/TO
49 specifications
Wireless LAN featuresidentical
ModulationKnown for oneUnknown — not stated by the sourceCCK, DBPSK, DQPSK, OFDM
Top Wi-Fi standardKnown for oneWi-Fi 4 (802.11n)Unknown — not stated by the source
WLAN data transfer rate (max)Known for one300 Mbit/sUnknown — not stated by the source
Wi-Fi standardsKnown for one802.11g, Wi-Fi 4 (802.11n)Unknown — not stated by the source
Network3 differ
Ethernet LANYesYes
Ethernet LAN interface typeDiffersGigabit EthernetFast Ethernet
Ethernet LAN data ratesDiffers10,100,1000 Mbit/s10,100 Mbit/s
Cabling technologyKnown for oneUnknown — not stated by the source10/100Base-T(X)
Networking standardsDiffersIEEE 802.3, IEEE 802.3ab, IEEE 802.3uIEEE 802.11b, IEEE 802.11g
VPN supportKnown for oneUnknown — not stated by the sourcePPTP/L2TP/IPSec
DSL featuresidentical
ADSLKnown for oneUnknown — not stated by the sourceYes
DSL specificationKnown for oneUnknown — not stated by the sourceADSL, ADSL2+
Ports & interfaces1 differ
Ethernet LAN (RJ-45) portsDiffers54
RJ-11 ports quantityKnown for oneUnknown — not stated by the source1
DC-in jackKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Web-based managementKnown for oneUnknown — not stated by the sourceYes
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Reset buttonKnown for oneUnknown — not stated by the sourceYes
Security2 differ
Security algorithmsDiffersWPA, WPA2, WPS128-bit WEP, 64-bit WEP, EAP, WPA-PSK
Stateful Packet Inspection (SPI)Known for oneUnknown — not stated by the sourceYes
FilteringKnown for oneUnknown — not stated by the sourceYes
MAC address filteringDiffersNoYes
DMZ supportKnown for oneUnknown — not stated by the sourceYes
Network address translation (NAT)Known for oneUnknown — not stated by the sourceYes
FirewallKnown for oneYesUnknown — not stated by the source
NAT functionalityKnown for oneYesUnknown — not stated by the source
Protocols2 differ
DHCP clientDiffersNoYes
DHCP serverDiffersNoYes
VoIP protocolsKnown for oneUnknown — not stated by the sourceSIP (RFC 3261)
Supported network protocolsKnown for oneUnknown — not stated by the sourceNAT/NAPT (RFC 1631), RIP v1 (RFC 1058), RIP v2 (RFC 1389),DNS, TCP/UDP, ARP/RARP (RFC 826), ICMP (RFC 791), IGMP, UPnP, DMZ, PPPoE, SNTP/NTP
Design2 differ
Product colourDiffersBlackBlack, White
LED indicatorsDiffersYesLAN, WLAN, USB, Voip 1/2, DSL, Internet
Antennaidentical
Antenna gain level (max)Known for oneUnknown — not stated by the source2 dBi
Antennas quantityKnown for oneUnknown — not stated by the source1
Featuresidentical
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Operational conditionsidentical
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 95%
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 40 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-20 - 70 °C
Other features3 differ
BandwidthKnown for oneUnknown — not stated by the source2.4 GHz
Dimensions (WxDxH)Differs117 x 190 x 97 mm217.5 x 146.5 x 32 mm
Frequency rangeKnown for oneUnknown — not stated by the source2.4 - 2.4835 GHz
Networking featuresKnown for oneUnknown — not stated by the sourceWLAN, Fast Ethernet
Power supply typeKnown for oneUnknown — not stated by the source12V, 1.5A
USB ports quantity11
WLAN data transfer rates supportedDiffers300 Mbit/s2,5.5,6,9,11,12,18,24,36,48,54 Mbit/s
xDSL connectionDiffersNoYes
WAN connectionidentical
Ethernet WANKnown for oneYesUnknown — not stated by the source
Certificatesidentical
CertificationKnown for oneFCC CLass B, ICUnknown — not stated by the source
Weight & dimensionsidentical
WeightKnown for one317 gUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wireless router comparisons

All wireless router comparisons